In the noisy intermediate-scale quantum era, scientists are trying to improve the entanglement swapping success rate by researching anti-noise technology on the physical level, thereby obtaining a higher generation rate of long-distance entanglement. However, we may improve the generation rate from another perspective, which is studying an efficient entanglement swapping strategy. This paper analyzes the challenges faced by existing entanglement swapping strategies, including the node allocation principle, time synchronization, and processing of entanglement swapping failure. We present Parallel Segment Entanglement Swapping (PSES) to solve these problems. The core idea of PSES is to segment the path and perform parallel entanglement swapping between segments to improve the generation rate of long-distance entanglement. We construct a tree-like model as the carrier of PSES and propose heuristic algorithms called Layer Greedy and Segment Greedy to transform the path into a tree-like model. Moreover, we realize the time synchronization and design the on-demand retransmission mechanism to process entanglement swapping failure. The experiments show that PSES performs superiorly to other entanglement swapping strategies, and the on-demand retransmission mechanism can reduce the average entanglement swapping time by 80% and the average entanglement consumption by 80%.
In the noisy intermediate-scale quantum era, scientists are trying to improve the entanglement swapping success rate by researching anti-noise technology on the physical level, thereby obtaining a higher generation rate of long-distance entanglement. However, we may improve the generation rate from another perspective, which is studying an efficient entanglement swapping strategy. This paper analyzes the challenges faced by existing entanglement swapping strategies, including the node allocation principle, time synchronization, and processing of entanglement swapping failure. We present Parallel Segment Entanglement Swapping (PSES) to solve these problems. The core idea of PSES is to segment the path and perform parallel entanglement swapping between segments to improve the generation rate of long-distance entanglement. We construct a tree-like model as the carrier of PSES and propose heuristic algorithms called Layer Greedy and Segment Greedy to transform the path into a tree-like model. Moreover, we realize the time synchronization and design the on-demand retransmission mechanism to process entanglement swapping failure. The experiments show that PSES performs superiorly to other entanglement swapping strategies, and the on-demand retransmission mechanism can reduce the average entanglement swapping time by 80% and the average entanglement consumption by 80%.
Entanglement swapping is a crucial step in quantum communication, generating long-distance entanglements between quantum users for quantum network applications, such as distributed quantum computing. This study focuses on the efficiency of entanglement swapping strategies in quantum networks, particularly in multi-user concurrent quantum communication. Since multi-user concurrent quantum communication consists of multiple point-to-point quantum communications, we first analyze the challenges faced by existing entanglement swapping strategies in this scenario and then propose Parallel Segment Entanglement Swapping (PSES) to address them. PSES utilizes a tree-like model to divide the path into segments and execute entanglement swapping in parallel across them, thereby enhancing the generation rate of long-distance entanglement. Furthermore, we analyze the impact of resource contention on entanglement swapping in multi-user concurrent quantum communication and propose Multi-user PSES (M-PSES) to alleviate this negative impact. M-PSES leverages the entanglement swapping trigger signal and resource locking mechanisms to mitigate resource contention. The simulation results show that PSES performs superiorly to existing entanglement swapping strategies in point-to-point quantum communication, and M-PSES can achieve better performance than PSES in multi-user concurrent quantum communication.
Entanglement distribution between distant quantum nodes plays an essential role in realizing quantum networks’ capabilities. In addition to path selection, remote entanglement distribution involves two pivotal quantum operations, i.e., entanglement generation and entanglement swapping. The existing studies mainly adopt two methods, i.e., Tell-and-Generation (TAG) and Tell-and-Swapping (TAS), to manage these two quantum operations on a selected path. However, both methods fatally introduce redundant stop-and-wait processes, which are detrimental to the performance of remote entanglement distribution in terms of latency and fidelity. To achieve low-latency and high-fidelity entanglement distribution between far-off quantum nodes, we propose a segment-based method consisting of an entanglement generation algorithm and a segment design to diminish the unnecessary stop-and-wait processes. The entanglement generation algorithm adopts a concurrent design to establish entanglement links using the one-demand generation model, thus effectively reducing waiting time compared to hop-by-hop and parallel designs. The segment design is proposed to split a long-distance path into multiple short-haul segments with the similar ability to swap entanglement, and these segments build multi-hop entanglement connections in parallel. Extensive simulations show that the segment-based method significantly outperforms the existing methods, including TAG and TAS, in entanglement distribution latency and effectively mitigates fidelity attenuation.
Long-distance quantum communication in quantum networks faces significant challenges due to the constraints imposed by the no-cloning theorem. Most existing quantum communication protocols rely on the a priori distribution of entanglement pairs (EPs), a process known to incur considerable latency due to its stochastic nature. In this work, we consider the problem of minimizing the latency of establishing an EP across a pair of nodes in a quantum network. While prior research has primarily focused on minimizing the expected generation latency by selecting static entanglement routes and/or swapping trees in advance, our approach considers a real-time adaptive strategy-wherein the order of entanglement-swapping operations (hence, the swapping tree used) is progressively determined at runtime based on the runtime success/failure of the stochastic events. In this context, we present a greedy algorithm that iteratively determines the best route and/or entanglement-swapping operation to perform at each stage based on the current network. We evaluate our schemes on randomly generated networks and observe a reduction in latency of up to 40% from the optimal offline approach.
Entanglement generation in long-distance quantum networks is a difficult process due to resource limitations and the probabilistic nature of entanglement swapping. To maximize success probability, existing quantum routing algorithms employ computationally expensive solutions (e.g., linear programming) to determine which links to entangle and use for end-to-end entanglement generation. Such optimization methods, however, cannot meet the delay requirements of real-world quantum networks, necessitating swift yet efficient real-time optimization models. In this paper, we propose reinforcement learning (RL)-based models to determine which links to entangle and proactively swap to meet connection requests. We show that the proposed RL-based approach is 20x faster compared to linear programming. Moreover, we show that one can take advantage of the longevity of entanglements to (i) cache entangled links for future use and (ii) proactively swap entanglement on high-demand path segments, thereby increasing the likelihood of request success. Through comprehensive simulations, we demonstrate that caching unused entanglements leads to a 10-15% improvement in the performance of state-of-the-art quantum routing algorithms. Complementing caching with proactive entanglement swapping further enhances the request success rate by up to 52.55%.
Remote entanglement distribution plays a crucial role in large-scale quantum networks, and the key enabler for entanglement distribution is quantum routers (or repeaters) that can extend the entanglement transmission distance. However, the performance of quantum routers is far from perfect yet. Amongst the causes, the limited quantum memories in quantum routers largely affect the rate and efficiency of entanglement distribution. To overcome this challenge, this paper presents a new modeling for the maximization of entanglement distribution rate (EDR) on a memory-limited path, which is then transformed into entanglement generation and swapping sub-problems. We propose a greedy algorithm for short-distance entanglement generation so that the quantum memories can be efficiently used. As for the entanglement swapping sub-problem, we model it using an Entanglement Graph (EG), whose solution is yet found to be at least NP-complete. In light of it, we propose a heuristic algorithm by dividing the original EG into several sub-problems, each of which can be solved using dynamic programming (DP) in polynomial time. By conducting simulations, the results show that our proposed scheme can achieve a high EDR, and the developed algorithm has a polynomial-time upper bound and reasonable average runtime complexity.
The fundamental technology for the construction of large-scale quantum networks lies in the efficient distribution of remote entanglement among quantum nodes. Entanglement routing tackles the challenge of path selection between two distant end nodes and realizes entanglement distribution through multi-hop entanglement swapping. Given the inherent probability of swapping, entanglement distribution flow always presents inevitable losses. The existing routing works adopt a parallel swapping mode, which only considers the final end-to-end distribution loss effect. This lag of failure detection and complete independence between swapping reduce distribution efficiency. We observe that the sequential swapping mode can improve this defect, but it is not thorough. Thus, in this paper, we explore the entanglement flow loss effect in the sequential entanglement swapping (Loss-SES) process in order to perceive failures earlier and save network resources. Subsequently, we introduce a novel metric to quantify path performance, namely the expected entanglement throughput (EET). Building upon EET, we propose the entanglement routing algorithm MaxEET adapted to the Loss-SES process to maximize EET. For efficient deployment, in the single-request scenario, we determine the optimal routing initiation direction by introducing a bidirectional routing mechanism. In the multi-request scenario, we design a greedy and contention-free iterative routing algorithm to exhaust resources. Based on extensive simulations, the results show the superiority of our proposed Loss-SES mode compared to other modes in terms of throughput, fairness, and utilization.